/*
   Copyright (C) 1994-2001 Digitool, Inc
   This file is part of Opensourced MCL.

   Opensourced MCL is free software; you can redistribute it and/or
   modify it under the terms of the GNU Lesser General Public
   License as published by the Free Software Foundation; either
   version 2.1 of the License, or (at your option) any later version.

   Opensourced MCL is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Lesser General Public License for more details.

   You should have received a copy of the GNU Lesser General Public
   License along with this library; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/
	
	.globl import_ptrs_base

	.macro 	defimport name
	.globl \name
	.long \name
	.endm

	.data
import_ptrs_start:

	defimport read
	defimport write
	defimport open
	defimport close
	defimport ioctl_1
	defimport MakeDataExecutable
	defimport GetSharedLibrary
	defimport FindSymbol
	defimport CountSymbols
	defimport GetIndSymbol
	defimport allocate_tstack
	defimport allocate_vstack
	defimport register_cstack
	defimport condemn_area_chain
	defimport metering_control
	defimport excise_library
	defimport lisp_egc_control
	defimport lisp_bug
	defimport lseek
	defimport allocate
	defimport deallocate
	defimport xftruncate
	defimport dlsym1
	defimport NewThread
	defimport DisposeThread
	defimport YieldToThread
	defimport ThreadCurrentStackSpace
	defimport lookuphost
	defimport fd_setsize_bytes
	defimport do_fd_set
	defimport do_fd_clr
	defimport do_fd_is_set
	defimport do_fd_zero
#ifdef PROXY_SCHEDULER	
	defimport create_proxy_task
	defimport pop_proxy_q
	defimport kill_proxy
	defimport proxy_wait
	defimport proxy_wait_mutex
	defimport proxy_wait_select_input
	defimport proxy_wait_counting_semaphore
	defimport proxy_wait_timeout
	defimport current_task_priority
#else
	defimport defunct_import
	defimport defunct_import
	defimport defunct_import
	defimport defunct_import
	defimport defunct_import
	defimport defunct_import
	defimport defunct_import
	defimport defunct_import
	defimport defunct_import
#endif				
	defimport x_readdir
#ifdef PROXY_SCHEDULER
	defimport allocate_proxy_events
	defimport retrieve_proxy_events
	defimport record_proxy_event
#else
	defimport defunct_import
	defimport defunct_import
	defimport defunct_import
#endif
	defimport xdlopen
	defimport open_client_socket
	defimport open_server_socket
	defimport accept_client_socket
#ifdef PROXY_SCHEDULER
	defimport proxy_interrupt
	defimport proxy_restore
#else
	defimport defunct_import
	defimport defunct_import
#endif
	defimport xgetcwd

import_ptrs_base:	
	.long import_ptrs_start

	.globl subprims_base
	.globl ret1valn
	.globl lexpr_return
	.globl lexpr_return1v
	.globl start_lisp


#ifndef VXWORKS
	.weak .subprims_base
	.weak .start_lisp
	.weak .nvalret
	.weak .popj
	.weak .ret1valn

subprims_base:	
	.long .subprims_base
start_lisp:	
	.long .start_lisp
ret1valn:	
	.long .ret1valn
lexpr_return:	
	.long .nvalret
lexpr_return1v:	
	.long .popj

#else				
subprims_base:	
	.long 0
start_lisp:	
	.long 0
ret1valn:	
	.long 0
lexpr_return:	
	.long 0
lexpr_return1v:	
	.long 0
	.globl vx_signal
	.globl init_vxlow
	.globl vxlow_cleanup
vx_signal:
	.long 0
init_vxlow:
	.long 0
vxlow_cleanup:
	.long 0

#endif
